import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class countrydivisions1397 extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    StatisticsOrgCode: {
      type: DataTypes.STRING(20),
      allowNull: false
    },
    AreaTypeCode: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    ParentID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    CountryCode: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    ProvinceID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    ProvinceCode: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    ProvinceName: {
      type: DataTypes.STRING(20),
      allowNull: false
    },
    TownshipID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    TownshipCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    TownshipName: {
      type: DataTypes.STRING(20),
      allowNull: true
    },
    CountyID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    CountyCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    CountyName: {
      type: DataTypes.STRING(20),
      allowNull: true
    },
    CityID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    CityCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    CityName: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    RegionID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    RegionCount: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    RegionCode: {
      type: DataTypes.CHAR(10),
      allowNull: true
    },
    RegionName: {
      type: DataTypes.STRING(2),
      allowNull: true
    },
    RuralDistinctID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    RuralDistinctCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    RuralDistinctName: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    VillageID: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    VillageCode: {
      type: DataTypes.STRING(10),
      allowNull: true
    },
    VillageName: {
      type: DataTypes.STRING(100),
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'countrydivisions1397',
    timestamps: false
  });
  return countrydivisions1397;
  }
}
