import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class inspectionlegalactionitems extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    InspectionId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    LegalActionId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    PropertyName: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Value: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    Archive: {
      type: DataTypes.TINYINT,
      allowNull: false,
      defaultValue: 0
    },
    InsertDate: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'inspectionlegalactionitems',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return inspectionlegalactionitems;
  }
}
