import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class isco-2008-fa extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    Code: {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    'ISCO-2008Code': {
      type: DataTypes.STRING(10),
      allowNull: false
    },
    Value: {
      type: DataTypes.STRING(120),
      allowNull: false
    },
    IsMain: {
      type: DataTypes.TINYINT,
      allowNull: false
    },
    CreationDate: {
      type: DataTypes.DATE,
      allowNull: false
    },
    ModificationDate: {
      type: DataTypes.DATE,
      allowNull: true
    },
    Version: {
      type: DataTypes.DOUBLE,
      allowNull: false
    },
    Deleted: {
      type: DataTypes.TINYINT,
      allowNull: false
    }
  }, {
    sequelize,
    tableName: 'isco-2008-fa',
    timestamps: false
  });
  return isco-2008-fa;
  }
}
