import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class checklists extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    Title: {
      type: DataTypes.STRING(200),
      allowNull: true
    },
    ShortName: {
      type: DataTypes.STRING(200),
      allowNull: true
    },
    SignificationDate: {
      type: DataTypes.DATEONLY,
      allowNull: true
    },
    NoeVahedID: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Status: {
      type: DataTypes.TINYINT,
      allowNull: true
    },
    InsertDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    UpdateDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    DeleteDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    Comment: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    IsicId: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    AncilaryId: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    InspectionDomain: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'checklists',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return checklists;
  }
}
