import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class functions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    Name: {
      type: DataTypes.STRING(50),
      allowNull: false
    },
    Description: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    Public: {
      type: DataTypes.TINYINT,
      allowNull: false,
      defaultValue: 0
    },
    Menu: {
      type: DataTypes.TINYINT,
      allowNull: true,
      defaultValue: 0
    },
    ParentMenuID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0
    },
    FunctionTypeID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0
    },
    Url: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    OrderId: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0
    }
  }, {
    sequelize,
    tableName: 'functions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return functions;
  }
}
