import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class inspectiontypes extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    Code: {
      type: DataTypes.SMALLINT,
      allowNull: false
    },
    Value: {
      type: DataTypes.STRING(100),
      allowNull: false
    },
    Domain: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    Deleted: {
      type: DataTypes.TINYINT,
      allowNull: true,
      defaultValue: 0
    }
  }, {
    sequelize,
    tableName: 'inspectiontypes',
    timestamps: false
  });
  return inspectiontypes;
  }
}
