import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class legalactions extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    Code: {
      type: DataTypes.SMALLINT,
      allowNull: true
    },
    Value: {
      type: DataTypes.STRING(200),
      allowNull: true
    },
    Title: {
      type: DataTypes.STRING(200),
      allowNull: true
    },
    Type: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    FileName: {
      type: DataTypes.STRING(50),
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'legalactions',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return legalactions;
  }
}
