import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class workflowstatetypes extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.SMALLINT,
      allowNull: false,
      primaryKey: true
    },
    WorkTypeID: {
      type: DataTypes.SMALLINT,
      allowNull: true
    },
    StateID: {
      type: DataTypes.SMALLINT,
      allowNull: true
    },
    Name: {
      type: DataTypes.STRING(255),
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'workflowstatetypes',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return workflowstatetypes;
  }
}
